﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=11.2
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
	
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public ServerFTP As FTPServer
End Sub

Sub Service_Create

End Sub

Sub Service_Start (StartingIntent As Intent)
	InitFTPServer
	Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
	
End Sub

Sub InitFTPServer
	
	Try
		ServerFTP.Initialize(Me, "FTPServer")
		Log( $"My ip: ${ServerFTP.ssocket.GetMyWifiIP}"$)
		ServerFTP.ForcedServerIp="192.168.1.250"
		ServerFTP.SetPorts(51041,51042,51142)
		ServerFTP.AddUser("HHTechnologie", "Media@hebert27")
		ServerFTP.BaseDir = File.DirRootExternal 'IIf(xui.IsB4J, "c:\temp", xui.DefaultFolder)
		ServerFTP.Start
		
	Catch
		Log(LastException)
		StopService(Me)
	End Try
	
End Sub

Sub FTPServer_StateChanged
	Log($"Number of clients: ${ServerFTP.NumberOfClients}"$)
End Sub

Sub Service_Destroy
	StartServiceAt(Me,DateTime.Now + 5000,True)
End Sub
